Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextListFormat.Style

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextListFormat.Style

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextListFormat

    public static final class QTextListFormat.Style

extends java.lang.Enum
implements QtEnumerator

This enum describes the symbols used to decorate list items.

See Also:
  Serialized Form

Field Summary
`static QTextListFormat.Style` | `ListCircle` an empty circle
`static QTextListFormat.Style` | `ListDecimal` decimal values in ascending order
`static QTextListFormat.Style` | `ListDisc` a filled circle
`static QTextListFormat.Style` | `ListLowerAlpha` lower case Latin characters in alphabetical order
`static QTextListFormat.Style` | `ListSquare` a filled square
`static QTextListFormat.Style` | `ListStyleUndefined`
`static QTextListFormat.Style` | `ListUpperAlpha` upper case Latin characters in alphabetical order

Method Summary
`static QTextListFormat.Style` | `resolve(int value)` Returns the QTextListFormat$Style constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextListFormat.Style` | `valueOf(java.lang.String name)`
`static QTextListFormat.Style[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ListDisc

    public static final QTextListFormat.Style ListDisc

  a filled circle

### ListCircle

    public static final QTextListFormat.Style ListCircle

  an empty circle

### ListSquare

    public static final QTextListFormat.Style ListSquare

  a filled square

### ListDecimal

    public static final QTextListFormat.Style ListDecimal

  decimal values in ascending order

### ListLowerAlpha

    public static final QTextListFormat.Style ListLowerAlpha

  lower case Latin characters in alphabetical order

### ListUpperAlpha

    public static final QTextListFormat.Style ListUpperAlpha

  upper case Latin characters in alphabetical order

### ListStyleUndefined

    public static final QTextListFormat.Style ListStyleUndefined

Method Detail

### values

    public static QTextListFormat.Style[] values()

### valueOf

    public static QTextListFormat.Style valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextListFormat.Style resolve(int value)

  Returns the QTextListFormat$Style constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD